groovy.lang

## Annotation Type GrabResolver

    @Retention(value=SOURCE)
    @Target(value={CONSTRUCTOR,FIELD,LOCAL_VARIABLE,METHOD,PARAMETER,TYPE})
    public @interface GrabResolver

Used to add a repository for resolving Grape dependencies

For example:

     @GrabResolver(name='restlet.org', root='http://maven.restlet.org')
     @Grab(group='org.restlet', module='org.restlet', version='1.1.6')
     class MyRestlet extends org.restlet.Restlet {
       // ...
     }

Author:
  Merlyn Albery-Speyer

### Required Element Summary

Required Elements
`String` `name`
`String` `root`

### Optional Element Summary

Optional Elements
`boolean` `m2Compatible`
`String` `value`

### Element Detail

#### name

    public abstract String name

#### root

    public abstract String root

#### value

    public abstract String value

Default:
  ""

#### m2Compatible

    public abstract boolean m2Compatible

Default:
  true